Close a cURL share handle

- « curl_setopt

- curl_share_errno »

- PHP Manual
- cURL Functions
- Close a cURL share handle

# curl_share_close

(PHP 5 >= 5.5.0, PHP 7, PHP 8)

curl_share_close — Close a cURL share handle

### Description

curl_share_close(CurlShareHandle `$share_handle`): void

> Note:

> This function has no effect. Prior to PHP 8.0.0, this function was used to close the resource.

Closes a cURL share handle and frees all resources.

### Parameters

`share_handle`

  A cURL share handle returned by curl_share_init().

### Return Values

No value is returned.

### Changelog

Version | Description
--- | ---
8.0.0 | `share_handle` expects a CurlShareHandle instance now; previously, a resource was expected.

### Examples

Example #1 curl_share_setopt() example

This example will create a cURL share handle, add two cURL handles to it, and then run them with cookie data sharing.

    <?php// Create cURL share handle and set it to share cookie data$sh = curl_share_init();curl_share_setopt($sh, CURLSHOPT_SHARE, CURL_LOCK_DATA_COOKIE);// Initialize the first cURL handle and assign the share handle to it$ch1 = curl_init("http://example.com/");curl_setopt($ch1, CURLOPT_SHARE, $sh);// Execute the first cURL handlecurl_exec($ch1);// Initialize the second cURL handle and assign the share handle to it$ch2 = curl_init("http://php.net/");curl_setopt($ch2, CURLOPT_SHARE, $sh);// Execute the second cURL handle//  all cookies from $ch1 handle are shared with $ch2 handlecurl_exec($ch2);// Close the cURL share handlecurl_share_close($sh);// Close the cURL handlescurl_close($ch1);curl_close($ch2);?>

### See Also

- curl_share_init() - Initialize a cURL share handle